X2Go Bug report logs - #150
Cinnamon desktop requires GLX extensions > v6

Package: nxagent; Maintainer for nxagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for nxagent is src:nx-libs.

Reported by: Mirco Schmidt <mirco.schmidt@mac.com>

Date: Mon, 4 Feb 2013 12:48:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#117; Package x2goserver. (Mon, 04 Feb 2013 12:48:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mirco Schmidt <mirco.schmidt@mac.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 04 Feb 2013 12:48:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mirco Schmidt <mirco.schmidt@mac.com>
To: submit@bugs.x2go.org
Subject: Make Cinnamon selectable
Date: Mon, 04 Feb 2013 13:36:24 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: wishlist

Hi hi,

I tried to start cinnamon with this command: /usr/bin/gnome-session --session cinnamon2d but it fail's! If I set it to: /etc/X11/Xsession it should start the last session which is cinnamon but come's up with a XFCE session...
[12:18pm] 
[12:33pm]sunweaver:mirco, the command launched by X2Go does not accept cmdline parms. Write a shell wrapper on the server and execute that. Note: your wrapper must be in $PATH
[12:33pm]mirco:THX

made a wrapper like this and placed it in /usr/local/bin:

#!/bin/bash
/usr/bin/gnome-session --session cinnamon2d

[12:37pm]mirco:sadly I end up with a blank screen, beatified by the default debian Desktop background… Which is also my personal one!

Thank's in advance
Mirco
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#117; Package x2goserver. (Mon, 25 Mar 2013 23:27:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Mar 2013 23:27:55 GMT) Full text and rfc822 format available.

Message #10 received at 117@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mirco Schmidt <mirco.schmidt@mac.com>, 117@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#117: Make Cinnamon selectable
Date: Tue, 26 Mar 2013 00:26:29 +0100
[Message part 1 (text/plain, inline)]
tag #117 pending
fixed #117 4.1.0.0
thanks

On Mo 04 Feb 2013 13:36:24 CET Mirco Schmidt wrote:

> Package: x2goserver
> Severity: wishlist
>
> Hi hi,
>
> I tried to start cinnamon with this command: /usr/bin/gnome-session  
> --session cinnamon2d but it fail's! If I set it to:  
> /etc/X11/Xsession it should start the last session which is cinnamon  
> but come's up with a XFCE session...
> [12:18pm]
> [12:33pm]sunweaver:mirco, the command launched by X2Go does not  
> accept cmdline parms. Write a shell wrapper on the server and  
> execute that. Note: your wrapper must be in $PATH
> [12:33pm]mirco:THX
>
> made a wrapper like this and placed it in /usr/local/bin:
>
> #!/bin/bash
> /usr/bin/gnome-session --session cinnamon2d
>
> [12:37pm]mirco:sadly I end up with a blank screen, beatified by the  
> default debian Desktop background… Which is also my personal one!
>
> Thank's in advance
> Mirco

X2Go Server now is Cinnamon aware. Use ,,CINNAMON'' as command (other  
desktop). This fix will be available in X2Go Server 4.1.0.0 and above.

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1de00f1102be015f6245ef2bc13c877a4c79fadd

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 25 Mar 2013 23:27:56 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 25 Mar 2013 23:27:56 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#117; Package x2goserver. (Tue, 26 Mar 2013 00:03:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 26 Mar 2013 00:03:44 GMT) Full text and rfc822 format available.

Message #19 received at 117@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mirco Schmidt <mirco.schmidt@mac.com>, 117@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#117: Make Cinnamon selectable
Date: Tue, 26 Mar 2013 01:03:36 +0100
[Message part 1 (text/plain, inline)]
clone #117 -1
tag -1 - pending
reassign -1 nxagent
retitle -1 Cinnamon desktop requires GLX extensions > v6
thanks


Hi Mirco,

On Mo 04 Feb 2013 13:36:24 CET Mirco Schmidt wrote:
> #!/bin/bash
> /usr/bin/gnome-session --session cinnamon2d
>
> [12:37pm]mirco:sadly I end up with a blank screen, beatified by the  
> default debian Desktop background… Which is also my personal one!

I just saw this little line (the one above).

This is probably related to this error:

"""
mike@sid:~& export DISPLAY=:50
mike@sid:~$ cinnamon2d
(cinnamon:14262): Clutter-CRITICAL **: Unable to initialize Clutter:  
Failed to connected to any renderer:
XServer appears to lack required GLX support
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Window manager error: Unable to initialize Clutter.
"""

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Bug 117 cloned as bug 150 Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) Full text and rfc822 format available.

Bug reassigned from package 'x2goserver' to 'nxagent'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 4.1.0.0. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) Full text and rfc822 format available.

Changed Bug title to 'Cinnamon desktop requires GLX extensions > v6' from 'Make Cinnamon selectable' Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Tue, 26 Mar 2013 00:04:34 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#150; Package nxagent. (Sat, 09 Aug 2014 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 09 Aug 2014 16:15:02 GMT) Full text and rfc822 format available.

Message #34 received at 150@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 150@bugs.x2go.org
Subject: Cinnamon 1.4 worksforme
Date: Sat, 9 Aug 2014 12:14:08 -0400
[Message part 1 (text/plain, inline)]
I tested Cinnamon 1.4 and it appears to work work fine.

Perhaps this bug report needs to be retitled to state that only newer
versions of cinnamon that are affected?

This is just a VM I setup for the specific purpose of testing Cinnamon
compatibility with X2Go.

More details are below. Note that GLX is enabled, and I ran the
"Custom Desktop" command: gnome-session-cinnamon . "cinnamon2d" was
not present in this older version of Cinnamon.

----

I have the GLX extension enabled on my test system
(/etc/x2go/x2goagent.options has the line to disable GLX commented out)
- Linux mint 13 maya (based on Ubuntu 12.04 precise) 64-bit
- All latest level 1, 2 and 3 OS updates installed.
- cinnamon version: 1.4-UP3
- Cusstom Desktop specified in x2goclient: gnome-session-cinnamon
- x2goserver & x2goserver-xsession: 4.0.1.15-0~847~ubuntu12.04.1
- nxagent & x2goagent: 2:3.5.0.27-0~446~ubuntu12.04.1

I've attached the contents of my .xsession-x2go-errors file.

Note the following session files::
batmin@mint-m /usr/share/gnome-session/sessions $ ls
cinnamon.session  gnome-classic.session  gnome-fallback.session

batmin@mint-m /usr/share/gnome-session/sessions $ cat cinnamon.session
[GNOME Session]
Name=Cinnamon
RequiredComponents=cinnamon;gnome-settings-daemon;
IsRunnableHelper=/usr/lib/gnome-session/gnome-session-check-accelerated
FallbackSession=gnome-fallback
DesktopName=GNOME

batmin@mint-m /usr/share/xsessions $ ls
cinnamon.desktop  gnome-classic.desktop  gnome-fallback.desktop  ssh.desktop

batmin@mint-m /usr/share/xsessions $ cat cinnamon.desktop
[Desktop Entry]
Name=Cinnamon
Comment=This session logs you into Cinnamon
Exec=gnome-session-cinnamon
TryExec=/usr/bin/cinnamon
Icon=
Type=Application
X-Ubuntu-Gettext-Domain=cinnamon

batmin@mint-m /usr/share/xsessions $ cat /usr/bin/gnome-session-cinnamon
#! /bin/sh
exec gnome-session --session cinnamon "$@"
[mint-m cinnamon 1.4UP3 xsession-x2go-errors.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#150; Package nxagent. (Sat, 09 Aug 2014 17:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 09 Aug 2014 17:50:02 GMT) Full text and rfc822 format available.

Message #39 received at 150@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 150@bugs.x2go.org
Subject: Cinnamon 2.2 does not work
Date: Sat, 9 Aug 2014 13:49:10 -0400
[Message part 1 (text/plain, inline)]
I just tested Cinnamon 2.2.13 and it does not work properly with X2Go.

Basically, Cinnamon resorts fo "fallback mode", which is not the same
as Cinnamon2d.

More details are below. Note that GLX is enabled, and I ran the
"Custom Desktop" command: cinnamon-session-cinnamon2d

----

When I connect, only gnome-panel is running. (Basically,
gnome-flashback is running, although package gnome-session-flashback
is not installed) It is very different from cinnamon2d, which works
locally, and there are many bugs in this version of
gnome-panel/gnome-flashback. For example, you cannot even set a
desktop background using the GUIs.

I also see a dialog with the text:
Do you want to restart Cinnamon?
Cinnamon just crashed. You are currently running in Fallback Mode.

If I click yes, the dialog comes back up. If I click No, I the dialog
closes, and the session is usable, but it's very buggy for
aforementioned reasons.

This is just a VM I setup for the specific purpose of testing Cinnamon
compatibility with X2Go.

I have the GLX extension enabled on my test system
(/etc/x2go/x2goagent.options has the line to disable GLX commented out)
- Linux mint 17 qiana (based on Ubuntu 12.04 trusty) 64-bit
- All latest level 1, 2 and 3 OS updates installed.
- cinnamon version 2.2.13
- Custom Desktop specified in x2goclient: cinnamon-session-cinnamon2d
- x2goserver & x2goserver-xsession: 4.0.1.15-0~847~ubuntu14.04.1
- nxagent & x2goagent: 2:3.5.0.27-0~446~ubuntu14.04.1

I've attached the contents of my .xsession-x2go-errors file.

Note the following session files:
batmin@mint-q /usr/share/cinnamon-session/sessions $ ls
cinnamon2d.session  cinnamon.session

batmin@mint-q /usr/share/cinnamon-session/sessions $ cat cinnamon2d.session
[Cinnamon Session]
Name=Cinnamon (Software Rendering)
RequiredComponents=cinnamon;cinnamon-settings-daemon;cinnamon-screensaver;nemo-autostart;nm-applet;
DesktopName=X-Cinnamon

batmin@mint-q /usr/share/xsessions $ ls
cinnamon2d.desktop  cinnamon.desktop

batmin@mint-q /usr/share/xsessions $ cat cinnamon2d.desktop
[Desktop Entry]
Name=Cinnamon (Software Rendering)
Comment=This session logs you into Cinnamon (using software rendering)
Exec=cinnamon-session-cinnamon2d
TryExec=/usr/bin/cinnamon2d
Icon=
Type=Application
X-Ubuntu-Gettext-Domain=cinnamon
X-GNOME-Provides=cinnamon2d

batmin@mint-q /usr/share/xsessions $ cat /usr/bin/cinnamon-session-cinnamon2d
#! /bin/sh
exec cinnamon-session --session cinnamon2d "$@"
[mint-q cinnamond2d 2.2.13 xsession-x2go-errors.txt (text/plain, attachment)]

Bug 150 cloned as bug 572 Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sat, 16 Aug 2014 17:20:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#150; Package nxagent. (Mon, 28 Sep 2015 07:10:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phil Naidoo <phil-naidoo@outlook.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Sep 2015 07:10:05 GMT) Full text and rfc822 format available.

Message #46 received at 150@bugs.x2go.org (full text, mbox):

From: Phil Naidoo <kab@euronet.nl>
To: undisclosed-recipients:;
Subject: Dringend unterstützung gesucht!!!
Date: Mon, 28 Sep 2015 08:58:55 +0200 (CEST)
Phil Naidoo                                                                                     
Johannesburg South Africa
E-Mail: phil-naidoo@outlook.com
                                              Dringend unterstützung gesucht!!!
Hallo, 
mein Name ist Phil Naidoo, Chefredakteur der ABSA Bank of South  Africa. Ich war ein sehr enger Freund von Matthias Berger, Staatsbürger  ihres Landes. Matthias Berger arbeitete mit Diamond Mine firma in Botswana zusammen. Am 19 Dezember 2011 verunglückte Matthias Berger mit seiner Familie bei einem Hubschrauberabsturz.  Alle Insassen des Hubschrauber starben bei dem Unfall. Seit dem haben wir zahlreiche Erkundigungen bei Ihre Botschaft hier in Süd Afrika und Botswana angestellt um Verwandte von Herr Matthias Berger ausfindig zu machen. Leider waren wir bisher erfolglos.
Nach zahlreichen ergebnisslosen Versuchen Herr Matthias Berger Verwandten  ausfindig zu machen, habe ich mich entschieden Ihren Namen /E-mail Addresse übers dasoertliche site ausfindig zu machen, da sie die gleiche Nationalität haben. Ich habe Sie kontaktiert um Ihnen dabei zu assistieren Anspruch auf einen Betrag von 8.2 Millionen US Dollar, hinterlassen von meinem Freund Herr Matthias Berger zu erheben, bevor es von der ABSA Bank of South Africa konfeziert wird . Die ABSA Bank of South Afrika hat mich benachrichtigt das ich einen Verwandten ausfindig machen muss oder das Geld wird innerhalb der nächsten 21 Arbeitstagen konfesziert. In meiner Position als Chefredakteur der ABSA Bank of South Afrika ist es mir Möglich das Geld auf ein gültiges ausländisches Konto zu überweien mit der Sicherung das das Geld komplett sein wird bis ich in Ihr Land komme um das Geld mit Ihnen zu teilen.
Da es mir seit Vier Jahren nicht gelungen ist Verwandschaft von Herr Matthias Berger ausfindig zu machen, versuche ich Ihr Einverständnis zu bekommen Sie als nächste Verwandten des Verstorbenen zu präsentieren da Sie die gleiche Nationalität haben und somit das Geld zu Ihnen überwiesen werden kann. Wenn Sie an meinen Vorschlag interessiert sind, können wir die Teilungsverhältnisse und Uberweisungsmodalitäten besprechen. Ich besitze alle nötigen Informationen und gesetzlichen Dokumente um Ihre Anspruchsforderung zu unterstützen falls Se sich dazu entscheiden.
Ich brauche nur Ihre ehrliche Zustimmung zur Zusammenarbeit um uns diese Transaktion zu ermöglichen. Ich garantiere Ihnen das dies nur unter legalen/ gesetzlichen Vorraussetzungen stattfinden wird.
Bitte kontaktiren Sie mich unter meiner E-mail:phil-naidoo@outlook.com
 	
Mit freundlichen Grüssen
Phil Naidoo


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Feb 8 03:39:29 2016; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.